Update a team member
curl --request PATCH \
--url https://api.basic.tech/team/{team_id}/member/{member_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"roles": "<string>",
"role_name": "<string>"
}
'import requests
url = "https://api.basic.tech/team/{team_id}/member/{member_id}"
payload = {
"roles": "<string>",
"role_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({roles: '<string>', role_name: '<string>'})
};
fetch('https://api.basic.tech/team/{team_id}/member/{member_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"team_id": "<string>",
"account_id": "<string>",
"roles": "<string>",
"role_name": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Teams
Update a team member
Updates a team member’s roles or role_name
PATCH
/
team
/
{team_id}
/
member
/
{member_id}
Update a team member
Authorizations
bearerAuthapiKeyAuth
JWT Authorization Token header using the Bearer scheme
Path Parameters
The ID of the team
The ID of the member to update
Body
application/json
Response
Member updated successfully
Member updated successfully
Show child attributes
Show child attributes
⌘I

